# Copyright © 2014, 2018-2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5..10} )

inherit python-any-r1 font

SHA1=5d3f16e91969123b8960e6806a9eade8a616f064

DESCRIPTION="Variant of the M+ fonts with enlarged CJK glyphs"
SRC_URI="https://git.draconx.ca/gitweb/scripts.git/snapshot/$SHA1.tar.xz
		-> scripts-$SHA1.tar.xz"

LICENSE="WTFPL-2 mplus-fonts IPAfont"
SLOT="0"
KEYWORDS="~amd64 ~arm"

BDEPEND="media-fonts/mplus-outline-fonts[ipafont]
	$(python_gen_any_dep \
		'media-gfx/fontforge[python,${PYTHON_SINGLE_USEDEP}]')"

python_check_deps () {
	has_version -b "media-gfx/fontforge[${PYTHON_SINGLE_USEDEP}]"
}

S=$WORKDIR/$SHA1
MPLUSDIR=$EPREFIX/usr/share/fonts/mplus-outline-fonts

FONT_S=$S/inst
FONT_SUFFIX=ttf

pkg_setup () {
	python-any-r1_pkg_setup
	font_pkg_setup
}

src_compile () {
	ln -s "$MPLUSDIR"/*.ttf . || die
	python mplus-t-gen.py || die

	mkdir inst
	mv M+?T+IPAG.ttf inst
}
